local window = osrs.Ui:window(
    {
        height = 150,
        width = 150,
        sizeMode = 1
    }
)
window.title = "Prayer Display"
window.collapsable = false
window.border = false
window.scrollable = false
local callback = nil;

local slider = osrs.Ui:vSliderInt(
    {
        label = "--",
        value = 0,
        max = 0,
        min = 0,
        format = "",
        interactable = false
    }
)

local function onStatUpdate(stats)
    for stat, table in pairs(stats) do
        if(table["id"] == 5) then
            slider.value = table["value"]
            slider.label = tostring(table["value"])
            
        end
        slider.max = table["max"]
    end 
end

prayerDisplay = {
    activate = function(self, val)
        if(val) then
            callback  = osrs.Events:subscribe(onStatUpdate, osrs.Events.ON_STAT_TRANSMIT, callback)
            osrs.Ui.canvas:addChild(window)
            window:addChild(slider)
        else
            if(callback ~= nil) then
                osrs.Events:unsubscribe(callback)
                window:removeChild(slider)
                osrs.Ui.canvas:removeChild(window)
            end
        end
    end
}

prayerDisplay:activate(true)